% DC8FC3 Bank Angle Controller
% w. ARI and yaw damper w. washout

load DC8FC3Lat

sys=ss(a,b,c,d);
numa=[20];dena=[1 20];aa=tf(numa,dena);  % actuators (2)
sysa=series(aa,sys);
[aaa,ba,ca,da]=ssdata(sysa);
bari=ba;bari(:,1)=ba(:,1)+ba(:,2)*(-.056);       % add ARI
sysaari=ss(aaa,bari,ca,da);
numw=[1 0];denw=[1 .5];wo=tf(numw,denw);	  % add washed out yaw rate
sysaawo=series(sysaari,wo,[4],[1]);
[aawo,bawo,cawo,dawo]=ssdata(sysaawo);
ca=[[0;0;0;0] ca];ca(5,:)=cawo;              % add rwo as response
da=[da;0 0];
sysaawo=ss(aawo,bawo,ca,da);
aaaug=aawo+bawo(:,2)*.5*ca(5,:) ;         % add yaw damper (w.washout)
eig(aaaug);
sysaug=ss(aaaug,bawo,ca,da);
acl=aaaug-bawo(:,1)*.477*ca(2,:);        % close phi control loop
bcl=[.477*bawo(:,1) bawo(:,2)];
syscl=ss(acl,bcl(:,1),ca,da(:,1));
eig(acl);
