% DC8FC3 Lateral Beam Guidance


DC8FC3BAC;

numol=[(32.2/824)];denol=[1 0];OL=tf(numol,denol);  %heading-angle control
syspsi=series(syscl,OL,[2],[1]);
[apsi,bpsi,cpsi,dpsi]=ssdata(syspsi);
aclpsi=apsi-bpsi*10*cpsi;
bclpsi=bpsi*10;
cclpsi=[[0;0;0;0;0] ca];cclpsi(6,:)=cpsi;
dclpsi=[0;0;0;0;0;0];
sysclpsi=ss(aclpsi,bclpsi,cclpsi,dclpsi);
R=30000;numE=[824/R];denE=[1 0];OLE=tf(numE,denE);      % Beam-angle control
sysE=series(sysclpsi,OLE,[6],[1]);
numpi=[1 .04];denpi=[1 0];pi=tf(numpi,denpi);       % add pi
sysEpi=series(pi,sysE);
[aEpi,bEpi,cEpi,dEpi]=ssdata(sysEpi);
aEpicl=aEpi-bEpi*6.3*cEpi;                            % gain is 16 dB
bEpicl=bEpi*6.3;
%eig(aEpicl)
dEcl=[0;0;0;0;0;0];cEcl=[dEcl cclpsi dEcl];
cEcl=[cEcl;cEpi];dEcl=[dEcl;0];
cEcl(5,:)=(R/57.3)*cEcl(7,:);		 	                % Change y5 from rwo to d
sysEcl=ss(aEpicl,bEpicl,cEcl,dEcl);
